package com.mortals.xhx.module.attendance.model;

import java.math.BigDecimal;
import java.util.List;
import com.mortals.xhx.module.attendance.model.AttendanceVacationRecordEntity;
/**
* 员工假期记录信息查询对象
*
* @author zxfei
* @date 2023-04-12
*/
public class AttendanceVacationRecordQuery extends AttendanceVacationRecordEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 员工id */
    private Long staffIdStart;

    /** 结束 员工id */
    private Long staffIdEnd;

    /** 增加 员工id */
    private Long staffIdIncrement;

    /** 员工id列表 */
    private List <Long> staffIdList;

    /** 员工id排除列表 */
    private List <Long> staffIdNotList;

    /** 员工姓名 */
    private List<String> staffNameList;

    /** 员工姓名排除列表 */
    private List <String> staffNameNotList;
    /** 开始 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假) */
    private Integer typeStart;

    /** 结束 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假) */
    private Integer typeEnd;

    /** 增加 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假) */
    private Integer typeIncrement;

    /** 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)列表 */
    private List <Integer> typeList;

    /** 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)排除列表 */
    private List <Integer> typeNotList;

    /** 开始 增减类型(1.增加,2.扣除) */
    private Integer subAddTypeStart;

    /** 结束 增减类型(1.增加,2.扣除) */
    private Integer subAddTypeEnd;

    /** 增加 增减类型(1.增加,2.扣除) */
    private Integer subAddTypeIncrement;

    /** 增减类型(1.增加,2.扣除)列表 */
    private List <Integer> subAddTypeList;

    /** 增减类型(1.增加,2.扣除)排除列表 */
    private List <Integer> subAddTypeNotList;

    /** 有效期 */
    private List<String> validityPeriodList;

    /** 有效期排除列表 */
    private List <String> validityPeriodNotList;
    /** 开始 增加或扣减天数（天） */
    private BigDecimal subOrAddDaysStart;

    /** 结束 增加或扣减天数（天） */
    private BigDecimal subOrAddDaysEnd;

    /** 增加 增加或扣减天数（天） */
    private BigDecimal subOrAddDaysIncrement;

    /** 增加或扣减天数（天）列表 */
    private List <BigDecimal> subOrAddDaysList;

    /** 增加或扣减天数（天）排除列表 */
    private List <BigDecimal> subOrAddDaysNotList;

    /** 内容 */
    private List<String> contentList;

    /** 内容排除列表 */
    private List <String> contentNotList;
    /** 规则 */
    private List<String> ruleList;

    /** 规则排除列表 */
    private List <String> ruleNotList;
    /** 理由 */
    private List<String> reasonList;

    /** 理由排除列表 */
    private List <String> reasonNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AttendanceVacationRecordQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AttendanceVacationRecordQuery> andConditionList;

    public AttendanceVacationRecordQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 员工id
    * @return staffIdStart
    */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
    * 设置 开始 员工id
    * @param staffIdStart
    */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
    * 获取 结束 员工id
    * @return $staffIdEnd
    */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
    * 设置 结束 员工id
    * @param staffIdEnd
    */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
    * 获取 增加 员工id
    * @return staffIdIncrement
    */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
    * 设置 增加 员工id
    * @param staffIdIncrement
    */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
    * 获取 员工id
    * @return staffIdList
    */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
    * 设置 员工id
    * @param staffIdList
    */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
    * 获取 员工id
    * @return staffIdNotList
    */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
    * 设置 员工id
    * @param staffIdNotList
    */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
    * 获取 员工姓名
    * @return staffNameList
    */
    public List<String> getStaffNameList(){
        return this.staffNameList;
    }

    /**
    * 设置 员工姓名
    * @param staffNameList
    */
    public void setStaffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
    }

    /**
    * 获取 员工姓名
    * @return staffNameNotList
    */
    public List<String> getStaffNameNotList(){
        return this.staffNameNotList;
    }

    /**
    * 设置 员工姓名
    * @param staffNameNotList
    */
    public void setStaffNameNotList(List<String> staffNameNotList){
        this.staffNameNotList = staffNameNotList;
    }

    /**
    * 获取 开始 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
    * @return typeStart
    */
    public Integer getTypeStart(){
        return this.typeStart;
    }

    /**
    * 设置 开始 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
    * @param typeStart
    */
    public void setTypeStart(Integer typeStart){
        this.typeStart = typeStart;
    }

    /**
    * 获取 结束 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
    * @return $typeEnd
    */
    public Integer getTypeEnd(){
        return this.typeEnd;
    }

    /**
    * 设置 结束 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
    * @param typeEnd
    */
    public void setTypeEnd(Integer typeEnd){
        this.typeEnd = typeEnd;
    }

    /**
    * 获取 增加 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
    * @return typeIncrement
    */
    public Integer getTypeIncrement(){
        return this.typeIncrement;
    }

    /**
    * 设置 增加 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
    * @param typeIncrement
    */
    public void setTypeIncrement(Integer typeIncrement){
        this.typeIncrement = typeIncrement;
    }

    /**
    * 获取 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
    * @return typeList
    */
    public List<Integer> getTypeList(){
        return this.typeList;
    }

    /**
    * 设置 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
    * @param typeList
    */
    public void setTypeList(List<Integer> typeList){
        this.typeList = typeList;
    }

    /**
    * 获取 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
    * @return typeNotList
    */
    public List<Integer> getTypeNotList(){
        return this.typeNotList;
    }

    /**
    * 设置 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
    * @param typeNotList
    */
    public void setTypeNotList(List<Integer> typeNotList){
        this.typeNotList = typeNotList;
    }


    /**
    * 获取 开始 增减类型(1.增加,2.扣除)
    * @return subAddTypeStart
    */
    public Integer getSubAddTypeStart(){
        return this.subAddTypeStart;
    }

    /**
    * 设置 开始 增减类型(1.增加,2.扣除)
    * @param subAddTypeStart
    */
    public void setSubAddTypeStart(Integer subAddTypeStart){
        this.subAddTypeStart = subAddTypeStart;
    }

    /**
    * 获取 结束 增减类型(1.增加,2.扣除)
    * @return $subAddTypeEnd
    */
    public Integer getSubAddTypeEnd(){
        return this.subAddTypeEnd;
    }

    /**
    * 设置 结束 增减类型(1.增加,2.扣除)
    * @param subAddTypeEnd
    */
    public void setSubAddTypeEnd(Integer subAddTypeEnd){
        this.subAddTypeEnd = subAddTypeEnd;
    }

    /**
    * 获取 增加 增减类型(1.增加,2.扣除)
    * @return subAddTypeIncrement
    */
    public Integer getSubAddTypeIncrement(){
        return this.subAddTypeIncrement;
    }

    /**
    * 设置 增加 增减类型(1.增加,2.扣除)
    * @param subAddTypeIncrement
    */
    public void setSubAddTypeIncrement(Integer subAddTypeIncrement){
        this.subAddTypeIncrement = subAddTypeIncrement;
    }

    /**
    * 获取 增减类型(1.增加,2.扣除)
    * @return subAddTypeList
    */
    public List<Integer> getSubAddTypeList(){
        return this.subAddTypeList;
    }

    /**
    * 设置 增减类型(1.增加,2.扣除)
    * @param subAddTypeList
    */
    public void setSubAddTypeList(List<Integer> subAddTypeList){
        this.subAddTypeList = subAddTypeList;
    }

    /**
    * 获取 增减类型(1.增加,2.扣除)
    * @return subAddTypeNotList
    */
    public List<Integer> getSubAddTypeNotList(){
        return this.subAddTypeNotList;
    }

    /**
    * 设置 增减类型(1.增加,2.扣除)
    * @param subAddTypeNotList
    */
    public void setSubAddTypeNotList(List<Integer> subAddTypeNotList){
        this.subAddTypeNotList = subAddTypeNotList;
    }


    /**
    * 获取 有效期
    * @return validityPeriodList
    */
    public List<String> getValidityPeriodList(){
        return this.validityPeriodList;
    }

    /**
    * 设置 有效期
    * @param validityPeriodList
    */
    public void setValidityPeriodList(List<String> validityPeriodList){
        this.validityPeriodList = validityPeriodList;
    }

    /**
    * 获取 有效期
    * @return validityPeriodNotList
    */
    public List<String> getValidityPeriodNotList(){
        return this.validityPeriodNotList;
    }

    /**
    * 设置 有效期
    * @param validityPeriodNotList
    */
    public void setValidityPeriodNotList(List<String> validityPeriodNotList){
        this.validityPeriodNotList = validityPeriodNotList;
    }

    /**
    * 获取 开始 增加或扣减天数（天）
    * @return subOrAddDaysStart
    */
    public BigDecimal getSubOrAddDaysStart(){
        return this.subOrAddDaysStart;
    }

    /**
    * 设置 开始 增加或扣减天数（天）
    * @param subOrAddDaysStart
    */
    public void setSubOrAddDaysStart(BigDecimal subOrAddDaysStart){
        this.subOrAddDaysStart = subOrAddDaysStart;
    }

    /**
    * 获取 结束 增加或扣减天数（天）
    * @return $subOrAddDaysEnd
    */
    public BigDecimal getSubOrAddDaysEnd(){
        return this.subOrAddDaysEnd;
    }

    /**
    * 设置 结束 增加或扣减天数（天）
    * @param subOrAddDaysEnd
    */
    public void setSubOrAddDaysEnd(BigDecimal subOrAddDaysEnd){
        this.subOrAddDaysEnd = subOrAddDaysEnd;
    }

    /**
    * 获取 增加 增加或扣减天数（天）
    * @return subOrAddDaysIncrement
    */
    public BigDecimal getSubOrAddDaysIncrement(){
        return this.subOrAddDaysIncrement;
    }

    /**
    * 设置 增加 增加或扣减天数（天）
    * @param subOrAddDaysIncrement
    */
    public void setSubOrAddDaysIncrement(BigDecimal subOrAddDaysIncrement){
        this.subOrAddDaysIncrement = subOrAddDaysIncrement;
    }

    /**
    * 获取 增加或扣减天数（天）
    * @return subOrAddDaysList
    */
    public List<BigDecimal> getSubOrAddDaysList(){
        return this.subOrAddDaysList;
    }

    /**
    * 设置 增加或扣减天数（天）
    * @param subOrAddDaysList
    */
    public void setSubOrAddDaysList(List<BigDecimal> subOrAddDaysList){
        this.subOrAddDaysList = subOrAddDaysList;
    }

    /**
    * 获取 增加或扣减天数（天）
    * @return subOrAddDaysNotList
    */
    public List<BigDecimal> getSubOrAddDaysNotList(){
        return this.subOrAddDaysNotList;
    }

    /**
    * 设置 增加或扣减天数（天）
    * @param subOrAddDaysNotList
    */
    public void setSubOrAddDaysNotList(List<BigDecimal> subOrAddDaysNotList){
        this.subOrAddDaysNotList = subOrAddDaysNotList;
    }


    /**
    * 获取 内容
    * @return contentList
    */
    public List<String> getContentList(){
        return this.contentList;
    }

    /**
    * 设置 内容
    * @param contentList
    */
    public void setContentList(List<String> contentList){
        this.contentList = contentList;
    }

    /**
    * 获取 内容
    * @return contentNotList
    */
    public List<String> getContentNotList(){
        return this.contentNotList;
    }

    /**
    * 设置 内容
    * @param contentNotList
    */
    public void setContentNotList(List<String> contentNotList){
        this.contentNotList = contentNotList;
    }

    /**
    * 获取 规则
    * @return ruleList
    */
    public List<String> getRuleList(){
        return this.ruleList;
    }

    /**
    * 设置 规则
    * @param ruleList
    */
    public void setRuleList(List<String> ruleList){
        this.ruleList = ruleList;
    }

    /**
    * 获取 规则
    * @return ruleNotList
    */
    public List<String> getRuleNotList(){
        return this.ruleNotList;
    }

    /**
    * 设置 规则
    * @param ruleNotList
    */
    public void setRuleNotList(List<String> ruleNotList){
        this.ruleNotList = ruleNotList;
    }

    /**
    * 获取 理由
    * @return reasonList
    */
    public List<String> getReasonList(){
        return this.reasonList;
    }

    /**
    * 设置 理由
    * @param reasonList
    */
    public void setReasonList(List<String> reasonList){
        this.reasonList = reasonList;
    }

    /**
    * 获取 理由
    * @return reasonNotList
    */
    public List<String> getReasonNotList(){
        return this.reasonNotList;
    }

    /**
    * 设置 理由
    * @param reasonNotList
    */
    public void setReasonNotList(List<String> reasonNotList){
        this.reasonNotList = reasonNotList;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public AttendanceVacationRecordQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public AttendanceVacationRecordQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public AttendanceVacationRecordQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public AttendanceVacationRecordQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public AttendanceVacationRecordQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public AttendanceVacationRecordQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  员工id
    * @param staffId
    */
    public AttendanceVacationRecordQuery staffId(Long staffId){
	    setStaffId(staffId);
		return this;
    }
	
	 /**
    * 设置 开始 员工id
    * @param staffIdStart
    */
    public AttendanceVacationRecordQuery staffIdStart(Long staffIdStart){
		this.staffIdStart = staffIdStart;
		return this;
    }

    /**
    * 设置 结束 员工id
    * @param staffIdEnd
    */
    public AttendanceVacationRecordQuery staffIdEnd(Long staffIdEnd){
		this.staffIdEnd = staffIdEnd;
		return this;
    }

    /**
    * 设置 增加 员工id
    * @param staffIdIncrement
    */
    public AttendanceVacationRecordQuery staffIdIncrement(Long staffIdIncrement){
		this.staffIdIncrement = staffIdIncrement;
		return this;
    }

    /**
    * 设置 员工id
    * @param staffIdList
    */
    public AttendanceVacationRecordQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
		return this;
        }

        /**
        * 设置 员工id
        * @param staffIdNotList
        */
        public AttendanceVacationRecordQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
        }


	/**
    * 设置 员工姓名
    * @param staffName
    */
    public AttendanceVacationRecordQuery staffName(String staffName){
        setStaffName(staffName);
		return this;
    }

    /**
    * 设置 员工姓名
    * @param staffNameList
    */
    public AttendanceVacationRecordQuery staffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
		return this;
    }

    /**
    * 设置  请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
    * @param type
    */
    public AttendanceVacationRecordQuery type(Integer type){
	    setType(type);
		return this;
    }
	
	 /**
    * 设置 开始 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
    * @param typeStart
    */
    public AttendanceVacationRecordQuery typeStart(Integer typeStart){
		this.typeStart = typeStart;
		return this;
    }

    /**
    * 设置 结束 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
    * @param typeEnd
    */
    public AttendanceVacationRecordQuery typeEnd(Integer typeEnd){
		this.typeEnd = typeEnd;
		return this;
    }

    /**
    * 设置 增加 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
    * @param typeIncrement
    */
    public AttendanceVacationRecordQuery typeIncrement(Integer typeIncrement){
		this.typeIncrement = typeIncrement;
		return this;
    }

    /**
    * 设置 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
    * @param typeList
    */
    public AttendanceVacationRecordQuery typeList(List<Integer> typeList){
        this.typeList = typeList;
		return this;
        }

        /**
        * 设置 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
        * @param typeNotList
        */
        public AttendanceVacationRecordQuery typeNotList(List<Integer> typeNotList){
        this.typeNotList = typeNotList;
        return this;
        }

    /**
    * 设置  增减类型(1.增加,2.扣除)
    * @param subAddType
    */
    public AttendanceVacationRecordQuery subAddType(Integer subAddType){
	    setSubAddType(subAddType);
		return this;
    }
	
	 /**
    * 设置 开始 增减类型(1.增加,2.扣除)
    * @param subAddTypeStart
    */
    public AttendanceVacationRecordQuery subAddTypeStart(Integer subAddTypeStart){
		this.subAddTypeStart = subAddTypeStart;
		return this;
    }

    /**
    * 设置 结束 增减类型(1.增加,2.扣除)
    * @param subAddTypeEnd
    */
    public AttendanceVacationRecordQuery subAddTypeEnd(Integer subAddTypeEnd){
		this.subAddTypeEnd = subAddTypeEnd;
		return this;
    }

    /**
    * 设置 增加 增减类型(1.增加,2.扣除)
    * @param subAddTypeIncrement
    */
    public AttendanceVacationRecordQuery subAddTypeIncrement(Integer subAddTypeIncrement){
		this.subAddTypeIncrement = subAddTypeIncrement;
		return this;
    }

    /**
    * 设置 增减类型(1.增加,2.扣除)
    * @param subAddTypeList
    */
    public AttendanceVacationRecordQuery subAddTypeList(List<Integer> subAddTypeList){
        this.subAddTypeList = subAddTypeList;
		return this;
        }

        /**
        * 设置 增减类型(1.增加,2.扣除)
        * @param subAddTypeNotList
        */
        public AttendanceVacationRecordQuery subAddTypeNotList(List<Integer> subAddTypeNotList){
        this.subAddTypeNotList = subAddTypeNotList;
        return this;
        }


	/**
    * 设置 有效期
    * @param validityPeriod
    */
    public AttendanceVacationRecordQuery validityPeriod(String validityPeriod){
        setValidityPeriod(validityPeriod);
		return this;
    }

    /**
    * 设置 有效期
    * @param validityPeriodList
    */
    public AttendanceVacationRecordQuery validityPeriodList(List<String> validityPeriodList){
        this.validityPeriodList = validityPeriodList;
		return this;
    }

    /**
    * 设置  增加或扣减天数（天）
    * @param subOrAddDays
    */
    public AttendanceVacationRecordQuery subOrAddDays(BigDecimal subOrAddDays){
	    setSubOrAddDays(subOrAddDays);
		return this;
    }
	
	 /**
    * 设置 开始 增加或扣减天数（天）
    * @param subOrAddDaysStart
    */
    public AttendanceVacationRecordQuery subOrAddDaysStart(BigDecimal subOrAddDaysStart){
		this.subOrAddDaysStart = subOrAddDaysStart;
		return this;
    }

    /**
    * 设置 结束 增加或扣减天数（天）
    * @param subOrAddDaysEnd
    */
    public AttendanceVacationRecordQuery subOrAddDaysEnd(BigDecimal subOrAddDaysEnd){
		this.subOrAddDaysEnd = subOrAddDaysEnd;
		return this;
    }

    /**
    * 设置 增加 增加或扣减天数（天）
    * @param subOrAddDaysIncrement
    */
    public AttendanceVacationRecordQuery subOrAddDaysIncrement(BigDecimal subOrAddDaysIncrement){
		this.subOrAddDaysIncrement = subOrAddDaysIncrement;
		return this;
    }

    /**
    * 设置 增加或扣减天数（天）
    * @param subOrAddDaysList
    */
    public AttendanceVacationRecordQuery subOrAddDaysList(List<BigDecimal> subOrAddDaysList){
        this.subOrAddDaysList = subOrAddDaysList;
		return this;
        }

        /**
        * 设置 增加或扣减天数（天）
        * @param subOrAddDaysNotList
        */
        public AttendanceVacationRecordQuery subOrAddDaysNotList(List<BigDecimal> subOrAddDaysNotList){
        this.subOrAddDaysNotList = subOrAddDaysNotList;
        return this;
        }


	/**
    * 设置 内容
    * @param content
    */
    public AttendanceVacationRecordQuery content(String content){
        setContent(content);
		return this;
    }

    /**
    * 设置 内容
    * @param contentList
    */
    public AttendanceVacationRecordQuery contentList(List<String> contentList){
        this.contentList = contentList;
		return this;
    }


	/**
    * 设置 规则
    * @param rule
    */
    public AttendanceVacationRecordQuery rule(String rule){
        setRule(rule);
		return this;
    }

    /**
    * 设置 规则
    * @param ruleList
    */
    public AttendanceVacationRecordQuery ruleList(List<String> ruleList){
        this.ruleList = ruleList;
		return this;
    }


	/**
    * 设置 理由
    * @param reason
    */
    public AttendanceVacationRecordQuery reason(String reason){
        setReason(reason);
		return this;
    }

    /**
    * 设置 理由
    * @param reasonList
    */
    public AttendanceVacationRecordQuery reasonList(List<String> reasonList){
        this.reasonList = reasonList;
		return this;
    }


	/**
    * 设置 备注
    * @param remark
    */
    public AttendanceVacationRecordQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public AttendanceVacationRecordQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public AttendanceVacationRecordQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public AttendanceVacationRecordQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public AttendanceVacationRecordQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public AttendanceVacationRecordQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public AttendanceVacationRecordQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public AttendanceVacationRecordQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public AttendanceVacationRecordQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public AttendanceVacationRecordQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public AttendanceVacationRecordQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public AttendanceVacationRecordQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public AttendanceVacationRecordQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public AttendanceVacationRecordQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<AttendanceVacationRecordQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<AttendanceVacationRecordQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<AttendanceVacationRecordQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<AttendanceVacationRecordQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}